
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "answer",
    "question",
    "maskInput"
})
public class Challenge {

    @JsonProperty("answer")
    private Object answer;
    @JsonProperty("question")
    private String question;
    @JsonProperty("maskInput")
    private Boolean maskInput;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("answer")
    public Object getAnswer() {
        return answer;
    }

    @JsonProperty("answer")
    public void setAnswer(Object answer) {
        this.answer = answer;
    }

    @JsonProperty("question")
    public String getQuestion() {
        return question;
    }

    @JsonProperty("question")
    public void setQuestion(String question) {
        this.question = question;
    }

    @JsonProperty("maskInput")
    public Boolean getMaskInput() {
        return maskInput;
    }

    @JsonProperty("maskInput")
    public void setMaskInput(Boolean maskInput) {
        this.maskInput = maskInput;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
