
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "serviceCredentials",
    "showIntro"
})
public class Data_ {

    @JsonProperty("serviceCredentials")
    private String serviceCredentials;
    @JsonProperty("showIntro")
    private Boolean showIntro;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("serviceCredentials")
    public String getServiceCredentials() {
        return serviceCredentials;
    }

    @JsonProperty("serviceCredentials")
    public void setServiceCredentials(String serviceCredentials) {
        this.serviceCredentials = serviceCredentials;
    }

    @JsonProperty("showIntro")
    public Boolean getShowIntro() {
        return showIntro;
    }

    @JsonProperty("showIntro")
    public void setShowIntro(Boolean showIntro) {
        this.showIntro = showIntro;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
