
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "provider",
    "email",
    "download"
})
public class Delivery {

    @JsonProperty("provider")
    private Boolean provider;
    @JsonProperty("email")
    private Boolean email;
    @JsonProperty("download")
    private Boolean download;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("provider")
    public Boolean getProvider() {
        return provider;
    }

    @JsonProperty("provider")
    public void setProvider(Boolean provider) {
        this.provider = provider;
    }

    @JsonProperty("email")
    public Boolean getEmail() {
        return email;
    }

    @JsonProperty("email")
    public void setEmail(Boolean email) {
        this.email = email;
    }

    @JsonProperty("download")
    public Boolean getDownload() {
        return download;
    }

    @JsonProperty("download")
    public void setDownload(Boolean download) {
        this.download = download;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
