
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "confirm",
    "download",
    "hideEvidenceSummary",
    "saveAsLayout"
})
public class GlobalActions {

    @JsonProperty("confirm")
    private Boolean confirm;
    @JsonProperty("download")
    private Boolean download;
    @JsonProperty("hideEvidenceSummary")
    private Boolean hideEvidenceSummary;
    @JsonProperty("saveAsLayout")
    private Boolean saveAsLayout;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("confirm")
    public Boolean getConfirm() {
        return confirm;
    }

    @JsonProperty("confirm")
    public void setConfirm(Boolean confirm) {
        this.confirm = confirm;
    }

    @JsonProperty("download")
    public Boolean getDownload() {
        return download;
    }

    @JsonProperty("download")
    public void setDownload(Boolean download) {
        this.download = download;
    }

    @JsonProperty("hideEvidenceSummary")
    public Boolean getHideEvidenceSummary() {
        return hideEvidenceSummary;
    }

    @JsonProperty("hideEvidenceSummary")
    public void setHideEvidenceSummary(Boolean hideEvidenceSummary) {
        this.hideEvidenceSummary = hideEvidenceSummary;
    }

    @JsonProperty("saveAsLayout")
    public Boolean getSaveAsLayout() {
        return saveAsLayout;
    }

    @JsonProperty("saveAsLayout")
    public void setSaveAsLayout(Boolean saveAsLayout) {
        this.saveAsLayout = saveAsLayout;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
