
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "redirect",
    "dialog"
})
public class Complete {

    @JsonProperty("redirect")
    private Object redirect;
    @JsonProperty("dialog")
    private Boolean dialog;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("redirect")
    public Object getRedirect() {
        return redirect;
    }

    @JsonProperty("redirect")
    public void setRedirect(Object redirect) {
        this.redirect = redirect;
    }

    @JsonProperty("dialog")
    public Boolean getDialog() {
        return dialog;
    }

    @JsonProperty("dialog")
    public void setDialog(Boolean dialog) {
        this.dialog = dialog;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
