
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "senderVisible",
    "currentSignerProgress",
    "overallProgress"
})
public class Data {

    @JsonProperty("senderVisible")
    private Boolean senderVisible;
    @JsonProperty("currentSignerProgress")
    private CurrentSignerProgress currentSignerProgress;
    @JsonProperty("overallProgress")
    private OverallProgress overallProgress;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("senderVisible")
    public Boolean getSenderVisible() {
        return senderVisible;
    }

    @JsonProperty("senderVisible")
    public void setSenderVisible(Boolean senderVisible) {
        this.senderVisible = senderVisible;
    }

    @JsonProperty("currentSignerProgress")
    public CurrentSignerProgress getCurrentSignerProgress() {
        return currentSignerProgress;
    }

    @JsonProperty("currentSignerProgress")
    public void setCurrentSignerProgress(CurrentSignerProgress currentSignerProgress) {
        this.currentSignerProgress = currentSignerProgress;
    }

    @JsonProperty("overallProgress")
    public OverallProgress getOverallProgress() {
        return overallProgress;
    }

    @JsonProperty("overallProgress")
    public void setOverallProgress(OverallProgress overallProgress) {
        this.overallProgress = overallProgress;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
