
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "handdrawn",
    "textual"
})
public class Signature {

    @JsonProperty("handdrawn")
    private String handdrawn;
    @JsonProperty("textual")
    private Object textual;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("handdrawn")
    public String getHanddrawn() {
        return handdrawn;
    }

    @JsonProperty("handdrawn")
    public void setHanddrawn(String handdrawn) {
        this.handdrawn = handdrawn;
    }

    @JsonProperty("textual")
    public Object getTextual() {
        return textual;
    }

    @JsonProperty("textual")
    public void setTextual(Object textual) {
        this.textual = textual;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
